aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2017-03-14 08:03:28 +0100
committerTristan Gingold <tgingold@free.fr>2017-03-14 08:03:28 +0100
commitc2c6d63247da8973f8cfcdb04038793bc02eb53e (patch)
tree223789e50b46c96fda1294d70431d3f46af82ea8 /testsuite
parentb6f8a09d6a792c6af36e86a03c18155ce9164660 (diff)
downloadghdl-c2c6d63247da8973f8cfcdb04038793bc02eb53e.tar.gz
ghdl-c2c6d63247da8973f8cfcdb04038793bc02eb53e.tar.bz2
ghdl-c2c6d63247da8973f8cfcdb04038793bc02eb53e.zip
Add testcase for #314
Diffstat (limited to 'testsuite')
-rw-r--r--testsuite/gna/issue314/t1.vhdl3
-rwxr-xr-xtestsuite/gna/issue314/testsuite.sh30
2 files changed, 33 insertions, 0 deletions
diff --git a/testsuite/gna/issue314/t1.vhdl b/testsuite/gna/issue314/t1.vhdl
new file mode 100644
index 000000000..972501c9e
--- /dev/null
+++ b/testsuite/gna/issue314/t1.vhdl
@@ -0,0 +1,3 @@
+entity t1 is
+ err;
+end t1;
diff --git a/testsuite/gna/issue314/testsuite.sh b/testsuite/gna/issue314/testsuite.sh
new file mode 100755
index 000000000..8f6c421bd
--- /dev/null
+++ b/testsuite/gna/issue314/testsuite.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+analyze_failure t1.vhdl 2> t1.err
+grep 2:8 t1.err
+
+analyze_failure -ftabstop=4 t1.vhdl 2> t1.err
+grep 2:4 t1.err
+
+if analyze -ftabstop=0 t1.vhdl; then
+ echo "error expected"
+ exit 1
+fi
+
+if analyze -ftabstop=140 t1.vhdl; then
+ echo "error expected"
+ exit 1
+fi
+
+if analyze -ftabstop=aa t1.vhdl; then
+ echo "error expected"
+ exit 1
+fi
+
+rm -f t1.err
+
+clean
+
+echo "Test successful"